/* 
 * File:   logger.h
 * Author: matt
 *
 * Created on November 12, 2011, 10:49 AM
 */

#ifndef ROBOKIND_COMMON_LOGGER_H
#define	ROBOKIND_COMMON_LOGGER_H

#include <string>
#include <exception>

namespace robokind{
    namespace common{
        
        void info(const std::string &message);
        void info(const std::string &message, const std::exception &ex);
        
        void warn(const std::string &message);
        void warn(const std::string &message, const std::exception &ex);
        
        void error(const std::string &message);
        void error(const std::string &message, const std::exception &ex);
    }
}
#endif	/* LOGGER_H */

