/* 
 * File:   AcapelaService.h
 * Author: matt
 *
 * Created on November 15, 2011, 11:28 AM
 */

#ifndef SPEECH_SERVICE_H
#define	SPEECHS_ERVICE_H

#include <string.h>
#include "robokind/messaging/AQService.h"
#include "robokind/messaging/AQStream.h"
#include "robokind/messaging/AQReceiver.h"
#include "robokind/messaging/AQSender.h"
#include "robokind/speech/SpeechEngine.h"
#include "robokind/speech/protocol/SpeechConfigRecord.h"

using namespace std;
using robokind::AQService;

namespace robokind{
  namespace speech{

    class SpeechService : public AQService<SpeechConfigRecord>{
        private:
            SpeechEngine* mySpeechEngine;
            AQStream* myStream;
            AQReceiver* myRequestReceiver;
            AQSender* myEventSender;

            void threadSafeWorker();
            bool _initialize(SpeechConfigRecord* conf);

        public:
			SpeechService(SpeechEngine* engine);
            void handleCommandMessage(Message &msg);
			void close();
    };
}}

#endif	/* SPEECH_SERVICE_H */